<?php

namespace App\Components\Claim;

use App\Models\Claim\Claim;
use Livewire\Component;

class ClaimTabs extends Component {
    public string $activeTab = 'overview';

    public Claim $claim;
    public function setTab(string $tab): void {
        $this->activeTab = $tab;

        $this->dispatch('tabLoading');

        $this->dispatch('tabChanged', tab: $tab);
    }

    public function render() {
        return view('components.claim.claim-tabs');
    }
}
